Name: H5close
Signature:
  herr_t `H5close`(void)
Purpose:
  Flushes all data to disk, closes file identifiers, and cleans up memory.
Description:
  `H5close` flushes all data to disk, closes all file identifiers, and cleans up all memory used by the library. This function is generally called when the application calls `exit()`, but may be called earlier in event of an emergency shutdown or out of desire to free all resources used by the HDF5 library.

  `h5close_f` and `h5open_f` are required calls in Fortran90 applications.

Parameters:

None.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5close_f

      SUBROUTINE h5close_f(hdferr)
        IMPLICIT NONE
        INTEGER, INTENT(OUT) :: hdferr      ! Error code

      END SUBROUTINE h5close_f